Package org.eclipse.emf.cdo.eresource.impl

# Class CDOResourceFactoryImpl.ResourceSetClassNameProvider.Factory

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.emf.cdo.eresource.impl.CDOResourceFactoryImpl.ResourceSetClassNameProvider.Factory

All Implemented Interfaces:
  `org.eclipse.net4j.util.factory.IFactory`, `org.eclipse.net4j.util.factory.IFactoryKeyAware`

Enclosing interface:
  CDOResourceFactoryImpl.ResourceSetClassNameProvider

public abstract static class CDOResourceFactoryImpl.ResourceSetClassNameProvider.Factory extends org.eclipse.net4j.util.factory.Factory

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PRODUCT_GROUP`

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`Factory(String type)`

## Method Summary

Modifier and Type
Method
Description
`abstract CDOResourceFactoryImpl.ResourceSetClassNameProvider`
`create(String description)`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PRODUCT_GROUP

public static final String PRODUCT_GROUP

See Also:
  - Constant Field Values

## Constructor Details

### Factory

public Factory(String type)

## Method Details

### create

public abstract CDOResourceFactoryImpl.ResourceSetClassNameProvider create(String description) throws org.eclipse.net4j.util.factory.ProductCreationException

Throws:
  `org.eclipse.net4j.util.factory.ProductCreationException`